var in_BG = false;

IR.AddListener(IR.EVENT_START,0,function()
{
   IR.GetDevice("SIP").SetParameters({Host: "192.168.1.105", Port: "5061", SIPID: "111", CallerID: "111", Password: "12345"});
});
// SIP events handling 
   IR.AddListener(IR.EVENT_TAG_CHANGE, IR.GetDevice("SIP"), function(name, value) 
   {  
      if(name == 'INCOMING CALL')
      {
         if(value == 1)
         {
            IR.ShowPopup('Incoming');
            IR.PlaySound("Ringing.wav", 0, 50, true);
            
            if(in_BG)
               {
                  var number = IR.GetVariable("Drivers.SIP.INCOMING CALL NUMBER");
                  IR.SendNotification("Incoming call from " + number, 0, 2, 0, number);
               }
         }
         else
         {
            IR.HidePopup('Incoming');
            IR.StopSound("Ringing.wav");          
         }
      }
      if(name == 'STATUS')
      {
         if(value == 'Talking...')
         {
            IR.StopSound("Alerting.wav");
         } else if(value == 'On Hook...')
         {
            IR.StopSound("Alerting.wav");
            IR.HidePopup("Talking");
            IR.HidePopup("Outgoing");
         }
      }
   });
   
   // when the application goes to the background
   IR.AddListener(IR.EVENT_APP_ENTER_BACKGROUND, 0, function()
   {
       in_BG = true;
   });
  
   // when the application comes to the foreground
   IR.AddListener(IR.EVENT_APP_ENTER_FOREGROUND, 0, function()
   {
       in_BG = false;
   });